Bug 403181 - comps.xml wrong in Fedora/ppc/os
comps.xml wrong in Fedora/ppc/os
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
8
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 12:07 EST by Gary Thomas
Modified: 2014-03-16 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 11:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Thomas 2007-11-28 12:07:35 EST
Description of problem:
The comps.xml file is renamed in the releases/8/Fedora/ppc/os tree
This makes it impossible to install using NFS from this repo

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Chose an NFS install from this tree
2.
3.
  
Actual results:


Expected results:


Additional info:
Rebuilding the repodata (via createrepo) fixes the problem after
renaming 'Fedora-8-comps.xml' to be 'comps.xml' (the normal name)
Comment 1 Jeremy Katz 2007-11-30 11:33:24 EST
you can run createrepo with an argument of the filename for comps; it doesn't
have to be named comps.xml
Comment 2 Gary Thomas 2007-11-30 11:47:57 EST
Regardless of this, if you try to install using the published DVD or raw repo,
you get errors about not being able to find the group information.  On PPC only.

Should I file a separate bug that just says you can't install on PPC from DVD?
Comment 3 Jesse Keating 2007-11-30 11:55:36 EST
    <location href="repodata/Fedora-8-comps.xml"/>
That's in the cononical upstream tree.  The file in said directory is named the
same.  It sounds like you either got a bad mirror, or bad media or both.

THe repodata on the media references the Fedora-8-comps.xml file as does the
repodata on the Fedora ppc tree.  You've modified something somewhere and thus
broke something.
Comment 4 Gary Thomas 2007-11-30 12:05:18 EST
I downloaded the DVD via bittorrent yesterday and got this message.

I've seen the same message, on PPC only, for every install I've tried since
F8 was released.  I normally mirror the trees (typically from kernel.org) and
install from there via NFS.  This fails, as does the DVD.

Same process(es) work fine on x86

Note You need to log in before you can comment on or make changes to this bug.